Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1038980 - PRD34 - [RFE] Add 'warnings' to Relocate VM disk "Move" and "Deactivate" actions
Summary: PRD34 - [RFE] Add 'warnings' to Relocate VM disk "Move" and "Deactivate" actions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.2.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: 3.4.0
Assignee: Sergey Gotliv
QA Contact: Aharon Canan
URL:
Whiteboard: storage
Depends On:
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-12-06 09:46 UTC by Anand Nande
Modified: 2018-12-05 16:44 UTC (History)
10 users (show)

Fixed In Version: ovirt-3.4.0-beta3
Doc Type: Enhancement
Doc Text:
This update introduces a confirmation window when you attempt to move or deactivate a disk attached to a virtual machine.
Clone Of:
Environment:
Last Closed: 2014-06-09 15:07:35 UTC
oVirt Team: Storage
Target Upstream Version:
scohen: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0506 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.0 update 2014-06-09 18:55:38 UTC
oVirt gerrit 24024 None None None Never
oVirt gerrit 24266 None None None Never

Comment 1 mrao 2013-12-12 20:03:41 UTC
Is the 'Move' action a more frequent action than Activate and Deactivate? If yes, then, it may make sense to move it so it precedes the 'Activate' action. This way it is consistent with the way the actions display on the main 'Disks' tab (where the activate/ Deactivate are not present though).

I think even more than moving this button/ action though, the solution to this problem is in grouping actions and separating them with separator lines. Possibly even more important is to have a confirmation dialog when the user clicks on remove or deactivate. If this confirmation dialog existed, I suspect the position would not be the bigger issue.

Comment 2 mrao 2013-12-20 17:55:38 UTC
Ayal provided me these comments offline -

Q: Is the 'Move' action a more frequent action than Activate and Deactivate? If yes, then, it may make sense to move it so it precedes the 'Activate' action. This way it is consistent with the way the actions display on the main 'Disks' tab (where the activate/ Deactivate are not present though).

A: I cannot say, depends on the use case, but in general there isn't really any reason to deactivate disks (and hence activate later on).
Moving should be very low frequency as well.
note that deactivate and activate are quite fast (order of seconds) while move can be in the order of hours.



Q: I think even more than moving this button/ action though, the solution to this problem is in grouping actions and separating them with separator lines. Possibly even more important is to have a confirmation dialog when the user clicks on remove or deactivate. If this confirmation dialog existed, I suspect the position would not be the bigger issue.

A: +1
Warning before move should definitely be there.
Actually same should be for deactivate.
I also like the grouping as long as it's visually easy on the eye.

Comment 3 mrao 2013-12-20 17:57:53 UTC
Based on the input above, I think the recommendation to resolve this bug from a UX perspective is to add a confirmation message for both deactivate and Move. We will not change the positions of the actions yet but we should look into adding separators in our toolbars to define some groupings of actions. I will open a RFE for that.

Comment 4 Einav Cohen 2014-01-30 13:57:36 UTC
(In reply to mrao from comment #3)
> ... we should look into adding separators in our toolbars to define some
> groupings of actions. I will open a RFE for that.

opened: bug 1045573 (ovirt, ux)

Comment 8 Sandro Bonazzola 2014-02-19 12:27:34 UTC
This bug is referenced in ovirt-engine-3.4.0-beta3 logs. Moving to ON_QA

Comment 9 Aharon Canan 2014-03-06 06:15:38 UTC
verified using 3.4 av2
TCMS run - https://tcms.engineering.redhat.com/run/119313/

Comment 10 errata-xmlrpc 2014-06-09 15:07:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0506.html


Note You need to log in before you can comment on or make changes to this bug.